Bug 169154 - 6s: WebProject.Info.getName() can be blocked by PM.writeAccess
6s: WebProject.Info.getName() can be blocked by PM.writeAccess
Status: RESOLVED WORKSFORME
Product: javaee
Classification: Unclassified
Component: Web Project
6.x
All All
: P4 (vote)
: 6.x
Assigned To: David Konecny
issues@javaee
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT perf-profileme 73-r...
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-24 22:56 UTC by giorgio42
Modified: 2012-11-07 15:36 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (27.03 KB, bin/nps)
2009-07-24 22:56 UTC, giorgio42
Details

Note You need to log in before you can comment on or make changes to this bug.
Description giorgio42 2009-07-24 22:56:39 UTC
Build: NetBeans IDE Dev (Build 090724)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.0-b16, Java(TM) SE Runtime Environment, 1.6.0_14-b08
OS: Windows Vista, 6.0, amd64

User Comments:
giorgio42: Opened the project properties dialog of a simple web application (JEE5).


Maximum slowness yet reported was 6130 ms, average is 6130
Comment 1 giorgio42 2009-07-24 22:56:43 UTC
Created attachment 85201 [details]
nps snapshot
Comment 2 Jaroslav Tulach 2009-07-25 06:32:02 UTC
The first obvious problem is that WebSources uses RequestProcessor.getDefault() and not one dedicated processor. 
Please fix that.
Comment 3 David Konecny 2009-09-24 23:51:31 UTC
re. "WebSources uses RequestProcessor.getDefault()" - Jardo, WebSource does not use RP at all. Default RP used in
snapshot is coming from org.netbeans.modules.project.ui.Hacks.RP but that one you fixed already as well (issue 170029).
Is there something else to be fixed or can this issue be just closed?
Comment 4 Jaroslav Tulach 2009-10-01 16:22:16 UTC
New evaluation of the problem (I've learned how to read the snapshot): AWT is waiting for a ProjectManager's lock for 
6s. The lock is hold by 3rd thread "Default RP" inside WebProjectProperties.save(). The WebProject.Info.getName() 
method shall be made faster, non-blocking, I guess.

However this seems just a single report, without duplicates, so I am downgrading to P4.
Comment 5 Petr Cyhelsky 2012-11-07 15:36:50 UTC
more than 2 years old with no new reports


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo